package com.menagerie.ophelia.database.polycule.entity

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update

@Dao
abstract class IdentityDao {
    @Insert
    abstract suspend fun insert(identity: Identity): Long

    @Update
    abstract suspend fun update(idenity: Identity)

    @Query("SELECT * FROM Identity WHERE id = :uniqueId")
    abstract suspend fun findByIdentity(uniqueId: Int): Identity?


}