package com.menagerie.ophelia.database.polycule

import com.menagerie.ophelia.database.polycule.entity.Bio
object PolyculeDatabaseManager {

    lateinit var polyculeRepository: PolyculeRepository

    suspend fun post(bio: Bio) {
        polyculeRepository.upsertBio(bio)
    }

    fun hasPolycule() = polyculeRepository.hasPolycule()
}