package com.menagerie.ophelia.database.polycule.entity.viewmodel

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.asLiveData
import com.menagerie.ophelia.database.polycule.PolyculeDatabaseManager

class BioDetailViewModel() : ViewModel() {

    private var bioId: Int = 0
    var bio = PolyculeDatabaseManager.polyculeRepository.getBio(bioId).asLiveData()

    fun setBio(bioId: Int) {
        this.bioId = bioId
        bio = PolyculeDatabaseManager.polyculeRepository.getBio(bioId).asLiveData()
    }

    class BioDetailViewModelFactory() :
        ViewModelProvider.Factory {
        override fun <T : ViewModel> create(modelClass: Class<T>, ): T {
            if (modelClass.isAssignableFrom(BioDetailViewModel::class.java)) {
                @Suppress("UNCHECKED_CAST")
                return BioDetailViewModel() as T
            }
            throw IllegalArgumentException("Unknown ViewModel Class")
        }
    }
}